

    <div style="width: fit-content;"><label for="bname">Book name:</label><br>
    <input type="text" #edtbname id="bname" name="bname"><br>
    <label for="bauthor">Book author:</label><br>
    <input type="text" #edtbauthor id="bauthor" name="bauthor"><br>
    <button style="float: right;" (click)="addToStock(edtbname.value,edtbauthor.value)" >add</button>
</div>
<table border="1">
    <tr>
        <th>
            Book name
        </th>
        <th>
            Book Author
        </th>
        <th>
            in stock
        </th>
        <th>
            action
        </th>
    </tr>
    <tr *ngFor="let book of stock">
        <td>
           {{book.name}}
        </td>
        <td>
            
            {{book.author}}
         </td>
         <td>
            
            {{book.quantity}}
         </td>
        <td>
           <button (click)=addToStock(book.name,book.author)>add to stock</button>
        </td>

    </tr>
</table>